package jeux.entities;

import jeux.jeu.World;



/**
 * @author jub
 * Un boulet qui monte (tir par le player)
 */
public class Bullet extends Entity {
	
	/**
	 * Construit un bullet avec comme sprite shot.gif et comme son d'apparition 608.wav.
	 * @param world le monde du bullet
	 */
	public Bullet(World world) {
		super(world);
		this.setSpriteName("sprites/shot.gif");
		world.getSoundCache().getRessource("sounds/608.wav").play();

	}

	/* (non-Javadoc)
	 * @see jeux.Entity#act()
	 */
	@Override
	public void act()
	{
		if (y > 0) 
		{
			y = y - speed;
			
		}	
		else
		{
			setMarkedForRemoval(true);
			
		}
	}
}