package jeux.entities;

import jeux.jeu.World;


/**
 * @author jub
 * Le player est une entite qui coute les vnements clavier.
 */
public class Player extends Entity {

	/**
	 * La vitesse horizontale
	 */
	private int vx;
	/**
	 *  La vitesse du tir, tout les fireSpeed tours le joueur peut-tirer
	 */
	private int fireSpeed;
	/**
	 * Vrai si le joeur peut-tirer, faux sinon.
	 */
	private boolean fireOn = true;

	/**
	 * Construit un player avec comme sprite ship.gif. Le player part vers la droite. La vitesse de tir est de 20.
	 * @param world le monde du joueur.
	 */
	public Player(World world) {
		this(world,20);

	}
	
	
	/**
	 * Construit un player avec comme sprite ship.gif. Le player part vers la droite.
	 * @param world le monde du joueur.
	 * @param fireSpeed la vitesse de tir du joueur.
	 */
	public Player(World world, int fireSpeed) {
		super(world);
		this.fireSpeed = fireSpeed;
		this.spriteName="sprites/ship.gif";
		this.vx = 1;

	}
	@Override
	public void act()
	{
		if (x< 0)
		{
			x = 0;
		}
		else
		{
			if (x > world.getWidth()-this.getWidth())
			{
				x = world.getWidth()-this.getWidth();
			}
			else
			{
				x = x + speed*vx;
			}

		}
		t++;
		if (t >= fireSpeed)
		{
			t=0;
			fireOn=true;
		}
	}

	/**
	 * Si le joeur peut tirer alors un boulet (Bullet) est cr.
	 */
	public void fire()
	{
		if (fireOn)
		{
			fireOn=false;
			Bullet bullet = new Bullet(world);
			bullet.setX(this.x);
			bullet.setY(this.y-this.height);
			bullet.setSpeed(10);
			world.addEntity(bullet);

		}
	}
	
	
	/**
	 * Permet d'aller  gauche
	 */
	public void moveLeft()
	{
		this.vx = -1;
	}
	
	/**
	 * Permet d'aller  droite
	 */
	public void moveRight()
	{
		this.vx = 1;
	}






}
